Package io.vertx.core.tracing

## Enum TracingPolicy

- java.lang.Object
- - java.lang.Enum<TracingPolicy>
  - - io.vertx.core.tracing.TracingPolicy

- All Implemented Interfaces:
    `Serializable`, `Comparable<TracingPolicy>`

      public enum TracingPolicy
      extends Enum<TracingPolicy>

  Policy controlling the behavior across boundaries. This control is applied for clients or servers reporting traces.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALWAYS` | Reuse an existing trace or create a new trace when no one exist.
    `IGNORE` | Do not propagate a trace, this is equivalent of disabling tracing.
    `PROPAGATE` | Propagate an existing trace.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TracingPolicy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TracingPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IGNORE

          public static final TracingPolicy IGNORE

      Do not propagate a trace, this is equivalent of disabling tracing.

    - #### PROPAGATE

          public static final TracingPolicy PROPAGATE

      Propagate an existing trace.

    - #### ALWAYS

          public static final TracingPolicy ALWAYS

      Reuse an existing trace or create a new trace when no one exist.

  - ### Method Detail

    - #### values

          public static TracingPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TracingPolicy c : TracingPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TracingPolicy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null